Closed Bug 635615 Opened 11 years ago Closed 11 years ago

When trying to update add-ons get error message instead of update

Categories

(Toolkit :: Add-ons Manager, defect)

x86
Windows XP
defect
Not set
normal

Tracking

()

RESOLVED DUPLICATE of bug 635546

People

(Reporter: Event.H04iz0n, Unassigned)

Details

(Keywords: regression)

User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0b12pre) Gecko/20110220 Firefox/4.0b12pre
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0b12pre) Gecko/20110220 Firefox/4.0b12pre

When I tried updating my add-ons error messages indicate the Add-on manager can not access/write over add-on files.
And I see the following messages on the error console:

  Error: ERROR addons.xpi: Failed to remove file C:\Documents and Settings\SyAr\Application Data\Mozilla\Minefield\Profiles\ln315rl9.Minefield\extensions\trash\compatibility@addons.mozilla.org.xpi: [Exception... "Component returned failure code: 0x80520015 (NS_ERROR_FILE_ACCESS_DENIED) [nsIFile.remove]"  nsresult: "0x80520015 (NS_ERROR_FILE_ACCESS_DENIED)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: recursiveRemove :: line 1090"  data: no] 
    Source File: resource://gre/modules/XPIProvider.jsm
    Line: 1090

  Warning: WARN addons.xpi: Failed to install: [Exception... "Component returned failure code: 0x80520015 (NS_ERROR_FILE_ACCESS_DENIED) [nsIFile.remove]"  nsresult: "0x80520015 (NS_ERROR_FILE_ACCESS_DENIED)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: recursiveRemove :: line 1090"  data: no]
    Source File: resource://gre/modules/XPIProvider.jsm
    Line: 1090


I have the same problem with multiple (Minefield nightly) profiles.
But if I open the profile in Safe Mode, which disables the Add-ons (does not open the .xpi file?), updates work.
Almost like the Add-on files are open, and when the Add-on update is tried the files can not be overwritten (deleted and copied over), when not in safe mode.

Reproducible: Always

Steps to Reproduce:
1. Open Add-on manager and try updating an Add-on; Or go to Firefox add-on web page and try pressing 'Add to Firefox' to an existing add-on.
2. Update fails.
3. Errors like mentioned above appear on the error console.
Actual Results:  
Files access errors are seen. and update fails.

Expected Results:  
Add-on should update.

Side note: the 'Add-on Compatibility Reporter 0.8' which does not require a restart after installing seemed to update when Not in Safe Mode.
Can you exclude 3rd Party Apps causing this? Like Anti-Virus/Security Stuff?
I disabled Trend Internet security manager, and I tried loading the previous version of "https://addons.mozilla.org/en-US/firefox/addon/default-fullzoom-level/versions/".
And I got the same error I got before when trying to update Add-ons using the Web Page "Add to Firefox".
After clicking on the Install button for the Add-on I get a balloon message below the URL bar that says '(Add on name) could not be installed because Minefield cannot modify the needed file.'
Do other addons install/update fine?
Version: unspecified → Trunk
I have not tried all my Add-ons but I just tried Adblock Plus and it failed with the same error balloon message.  And when I check Recent Updates in the AOM they worked for other Plugins and Add-ons on both 02/19/2011 & 02/18.
Normally that is something I do daily (checking for updates).
Component: General → Add-ons Manager
Product: Firefox → Toolkit
QA Contact: general → add-ons.manager
Ken, does it mean it has been regressed for you in the 02/20 build?
It looks like the problem started with the 20110219 build. i.e. I had to go back to the 20110218 nightly before the test in Comment #2 would work correctly.

Side note: When I regressed addon/default-fullzoom-level to 4.4.12 using the 20110218 nightly. Then checked for updates using Build ID:20110220030351, it allows one update to be done using AOM without restarting Minefield.

This regression range makes me wonder if this bug is related to bug #635546.
(In reply to comment #5)
> Ken, does it mean it has been regressed for you in the 02/20 build?

I regards to the update being done on 02/19/2011 in comment #4, since there is no time stamp on Recent Updates I can't tell if the update actually happened with the 19th's build or 18th's after midnight.
Depends on: 635546
Whiteboard: [DUPEME 635546?]
Ken, you can easily create a fresh profile, install an old version of that add-on and test the update with the older builds. I'm not sure if it is related to bug 635546, because of the limited information we have right now. First it would be important to have the regression date. Also please check the error console for other errors related to the add-ons manager.
Can reproduce on XP and it's a dupe of bug 635546.
Status: UNCONFIRMED → RESOLVED
Closed: 11 years ago
No longer depends on: 635546
Resolution: --- → DUPLICATE
Whiteboard: [DUPEME 635546?]
Duplicate of bug: 635546
You need to log in before you can comment on or make changes to this bug.